Subject: bug#50205: 27.2; crashes or hangs when opening a specific file using tramp

From: Mani Kancherla <[email-masked]>
Date: Fri, 10 Sep 2021 17:20:01 -0700

Hi Alan,

Can you please clarify what you want me to try? Master branch emacs? or
tramp?

Thanks,
Mani

On Thu, Sep 9, 2021 at 9:41 AM Alan Third <[email-masked]> wrote:

> On Sat, Sep 04, 2021 at 09:06:42AM +0200, Michael Albinus wrote:
> > Mani Kancherla <[email-masked]> writes:
> >
> > > I still see the problem with this. I open that specific problematic
> > > file and split the window, it hangs.
> >
> > Just to be sure, I reran your test, again. No problem.
> >
> > You said that you're on macOS, while I'm using GNU/Linux. Perhaps this
> > makes the difference, and we see an error of Emacs' thread
> > implementation on macOS.
>
> The state of threads on the NS port is... not good.
>
> It may be worth Mani trying the master branch, though. Some crashes
> and (possibly) infinite loops have been solved there.
>
> --
> Alan Third
>